Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038257
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2018-03-30 14:092018-04-20 10:02
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision5504ddcfc44c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038257: Cleanup obsolete callout related ad_model_object_mapping entries

DescriptionThis is retail part of erp issue 34213.

Since 17Q1 callouts are not called as servlet and filtered out from web.xml
So all ad_model_object_mapping entries for callouts are obsolete and should be removed.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034213 closedshuehner Openbravo ERP clean up AD_Model_Object and AD_Model_Object_Mapping 
related to defect 0038369 closedshuehner Openbravo ERP API-change for removal of obsolete ad_model_object_mapping for callouts in pi. 
blocks design defect 0032688 acknowledgedplatform Openbravo ERP remove unused resources 

-  Notes
(0103888)
hgbot (developer)
2018-04-14 14:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5504ddcfc44c52d987a7f61e0ff5a06cdf8c1d34
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Mar 30 14:12:56 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5504ddcfc44c52d987a7f61e0ff5a06cdf8c1d34 [^]

Fixed 38257. Delete obsolete callout related ad_model_object_mapping entries.

---
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0103893)
shuehner (administrator)
2018-04-15 15:05

Typo in commit message. 2nd commit belonging to this issue is:
Repository: erp/pmods/org.openbravo.retail.config
Changeset: 7e16f622864066b2abb530657ec62fce203b868e
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Mar 30 14:12:02 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/7e16f622864066b2abb530657ec62fce203b868e [^] [^]

Issue 38237. Delete obsolete callout related ad_model_object_mapping entries.

---
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0104010)
alostale (developer)
2018-04-20 10:02

reviewed

- Issue History
Date Modified Username Field Change
2018-03-30 14:09 shuehner New Issue
2018-03-30 14:09 shuehner Assigned To => Retail
2018-03-30 14:09 shuehner Triggers an Emergency Pack => No
2018-03-30 14:10 shuehner Relationship added related to 0034213
2018-03-30 14:16 shuehner Relationship added blocks 0032688
2018-04-14 14:44 shuehner Relationship added related to 0038369
2018-04-14 14:44 shuehner Assigned To Retail => shuehner
2018-04-14 14:47 hgbot Checkin
2018-04-14 14:47 hgbot Note Added: 0103888
2018-04-14 14:47 hgbot Status new => resolved
2018-04-14 14:47 hgbot Resolution open => fixed
2018-04-14 14:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5504ddcfc44c52d987a7f61e0ff5a06cdf8c1d34 [^]
2018-04-14 15:06 shuehner Review Assigned To => alostale
2018-04-15 15:05 shuehner Note Added: 0103893
2018-04-20 10:02 alostale Note Added: 0104010
2018-04-20 10:02 alostale Status resolved => closed
2018-04-20 10:02 alostale Fixed in Version => RR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker